/// <reference types="mongoose/types/aggregate" />
/// <reference types="mongoose/types/callback" />
/// <reference types="mongoose/types/collection" />
/// <reference types="mongoose/types/connection" />
/// <reference types="mongoose/types/cursor" />
/// <reference types="mongoose/types/document" />
/// <reference types="mongoose/types/error" />
/// <reference types="mongoose/types/expressions" />
/// <reference types="mongoose/types/helpers" />
/// <reference types="mongoose/types/middlewares" />
/// <reference types="mongoose/types/indexes" />
/// <reference types="mongoose/types/models" />
/// <reference types="mongoose/types/mongooseoptions" />
/// <reference types="mongoose/types/pipelinestage" />
/// <reference types="mongoose/types/populate" />
/// <reference types="mongoose/types/query" />
/// <reference types="mongoose/types/schemaoptions" />
/// <reference types="mongoose/types/schematypes" />
/// <reference types="mongoose/types/session" />
/// <reference types="mongoose/types/types" />
/// <reference types="mongoose/types/utility" />
/// <reference types="mongoose/types/validation" />
/// <reference types="mongoose/types/virtuals" />
/// <reference types="mongoose/types/inferschematype" />
import { IdentifiableSchema } from "../types/schemas";
import { Document, Schema as MongooseSchema } from "mongoose";
/**
 * @ignore
 */
export declare class ChangelogLock implements IdentifiableSchema {
    readonly _id: MongooseSchema.Types.ObjectId;
    locked: boolean;
    processId: number;
}
export type ChangelogLockDocument = ChangelogLock & Document;
export declare const ChangelogLockSchema: MongooseSchema<ChangelogLock, import("mongoose").Model<ChangelogLock, any, any, any, Document<unknown, any, ChangelogLock> & ChangelogLock & Required<{
    _id: MongooseSchema.Types.ObjectId;
}>, any>, {}, {}, {}, {}, import("mongoose").DefaultSchemaOptions, ChangelogLock, Document<unknown, {}, import("mongoose").FlatRecord<ChangelogLock>> & import("mongoose").FlatRecord<ChangelogLock> & Required<{
    _id: MongooseSchema.Types.ObjectId;
}>>;
